#!/bin/sh
#------------------------------------------------------------------------------
# admin/http_dev_state.cgi - set the device line state
#
# Creation:     29.12.2007  tb
# Last Update:  $Id: admin/http_dev_state.cgi 2342 2007-12-29 23:01:10Z tb $
#
#------------------------------------------------------------------------------
. /srv/www/include/cgi-helper

# Security

check_rights "http_dev_state" "view"

. /var/run/http_dev_state.conf

if [ -n "$HTTP_DEV_STATE_DEV" ]
then
    case $QUERY_STRING in 
        'up')
            if ! ifconfig $HTTP_DEV_STATE_DEV | grep -q UP
            then
                ifconfig $HTTP_DEV_STATE_DEV up
            fi
            show_html_header "HTTP_DEV_STATE ($HTTP_DEV_STATE_DEV: up)" "showmenu=yes"
            echo '   <h3>'$HTTP_DEV_STATE_DEV': up</h3>'
        ;;
        'down')
            if ifconfig $HTTP_DEV_STATE_DEV | grep -q UP
            then
                ifconfig $HTTP_DEV_STATE_DEV down
            fi
            show_html_header "HTTP_DEV_STATE ($HTTP_DEV_STATE_DEV: down)" "showmenu=yes"
            echo '   <h3>'$HTTP_DEV_STATE_DEV': down</h3>'
        ;;
        'toggle')
            if ifconfig $HTTP_DEV_STATE_DEV | grep -q UP
            then
                ifconfig $HTTP_DEV_STATE_DEV down
                show_html_header "HTTP_DEV_STATE ($HTTP_DEV_STATE_DEV: down)" "showmenu=yes"
                echo '   <h3>'$HTTP_DEV_STATE_DEV': down</h3>'
            else
                ifconfig $HTTP_DEV_STATE_DEV up
                show_html_header "HTTP_DEV_STATE ($HTTP_DEV_STATE_DEV: up)" "showmenu=yes"
                echo '   <h3>'$HTTP_DEV_STATE_DEV': up</h3>'
            fi
        ;;
        *)
            if ifconfig $HTTP_DEV_STATE_DEV | grep -q UP
            then
                show_html_header "HTTP_DEV_STATE ($HTTP_DEV_STATE_DEV: up)" "showmenu=yes"
                echo '   <h3>'$HTTP_DEV_STATE_DEV': up</h3>'
            else
                show_html_header "HTTP_DEV_STATE ($HTTP_DEV_STATE_DEV: down)" "showmenu=yes"
                echo '   <h3>'$HTTP_DEV_STATE_DEV': down</h3>'
            fi
         ;;
    esac
    date
    echo '<P><a href="'$myname'?up">up</a> | <a href="'$myname'?down">down</a> |  <a href="'$myname'?toggle">toggle</a></P>'
    show_html_footer
fi
